---
search:
  tags:
    - Topics
    - GET
seo:
  description: >-
    Get change history for a topic. Returns audit trail of modifications with
    user… Reference for the GET /topics/{topicId}/history endpoint in the Modem
    API.
sidebar:
  label: Get history
  badge: GET
title: Get history
type: openapi-operation
---
Get change history for a topic. Returns audit trail of modifications with user attribution, and the topics merged into it or that it was merged into. actions is always empty. A topic archived in the v1 to v2 migration returns 404 with data.reason archived_in_v1_to_v2_migration.

`GET /topics/{topicId}/history`

**Responses**

- `200` — OK
- `400` — Invalid request (validation failed).
- `401` — Missing or invalid API key.
- `403` — The API key does not have access to this resource.
- `404` — The requested resource was not found.
- `429` — Rate limit exceeded.
- `500` — Internal server error.

Response example, 200:

```json
{
  "actions": [
    {
      "actionAt": "2019-08-24T14:15:22Z",
      "actionType": "dismissed",
      "createdByUser": {
        "id": "string",
        "image": "string",
        "name": "string"
      },
      "externalLink": {
        "authorLogin": "string",
        "createdAt": "2019-08-24T14:15:22Z",
        "draft": true,
        "linkType": "github_pull_request",
        "merged": true,
        "number": 0,
        "state": "closed",
        "title": "string",
        "url": "http://example.com"
      },
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "metadata": null,
      "note": "string"
    }
  ],
  "history": [
    {
      "changedAt": "2019-08-24T14:15:22Z",
      "changedBy": "agent",
      "changes": {
        "property1": null,
        "property2": null
      },
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "operation": "DELETE",
      "previousValues": {
        "property1": null,
        "property2": null
      },
      "user": {
        "id": "string",
        "image": "string",
        "name": "string"
      }
    }
  ],
  "mergedInto": {
    "id": "string",
    "mergedAt": "2019-08-24T14:15:22Z",
    "targetTopic": {
      "id": "string",
      "title": "string"
    },
    "user": {
      "id": "string",
      "image": "string",
      "name": "string"
    }
  },
  "merges": [
    {
      "id": "string",
      "mergedAt": "2019-08-24T14:15:22Z",
      "sourceTopics": [
        {
          "id": "string",
          "title": "string"
        }
      ],
      "user": {
        "id": "string",
        "image": "string",
        "name": "string"
      }
    }
  ],
  "totalCount": 0
}
```
